<script lang="ts">
  import CardBase from "./CardBase.svelte";
  import MissionResultIcon from "./MissionResultIcon.svelte";

  export let card: MissionCard;
</script>

<CardBase>
  <div class="icon"><MissionResultIcon {card} /></div>
  <div class="text">
    {#if card === "Success"}
      Success
    {:else if card === "Fail"}
      Fail
    {/if}
  </div>
</CardBase>

<style>
  .icon {
    font-size: 4.5em;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -65%);
  }
  .text {
    font-size: 1.25em;
    text-align: center;
    position: absolute;
    left: 1em;
    right: 1em;
    bottom: 25%;
    transform: translateY(50%);
    line-height: 1em;
  }
</style>
